Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416038 - packages osad or rhncfg-* is not installable from compose
Summary: packages osad or rhncfg-* is not installable from compose
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: 1400201
TreeView+ depends on / blocked
 
Reported: 2017-01-24 12:48 UTC by Pavel Studeník
Modified: 2017-06-21 12:14 UTC (History)
3 users (show)

Fixed In Version: spacewalk-usix-2.7.1-2-sat spacewalk-backend-2.5.3-64-sat osad-5.11.63-9-sat rhn-virtualization-5.4.55-4-sat rhncfg-5.10.87-7-sat rhnpush-5.5.89-11-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:14:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-01-24 12:48:51 UTC
Description of problem:
I receive following error when I try install osad or rhncfg. 
It looks that it is result of change in latest compose. 
Latest compose doesn't content package spacewalk-backend-usix that is needed for osad and rhncfg-*

>> yum install rhncfg-*
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security, subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhncfg.noarch 0:5.10.87-6.el6sat will be installed
--> Processing Dependency: spacewalk-backend-usix for package: rhncfg-5.10.87-6.el6sat.noarch
--> Processing Dependency: libselinux-python for package: rhncfg-5.10.87-6.el6sat.noarch
---> Package rhncfg-actions.noarch 0:5.10.87-6.el6sat will be installed
---> Package rhncfg-client.noarch 0:5.10.87-6.el6sat will be installed
---> Package rhncfg-management.noarch 0:5.10.87-6.el6sat will be installed
--> Running transaction check
---> Package libselinux-python.x86_64 0:2.0.94-7.el6 will be installed
---> Package rhncfg.noarch 0:5.10.87-6.el6sat will be installed
--> Processing Dependency: spacewalk-backend-usix for package: rhncfg-5.10.87-6.el6sat.noarch
--> Finished Dependency Resolution
Error: Package: rhncfg-5.10.87-6.el6sat.noarch (beta-rhn-tools-rhel-x86_64-server-6)
           Requires: spacewalk-backend-usix
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

>> yum install osad
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security, subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package osad.noarch 0:5.11.63-8.el6sat will be installed
--> Processing Dependency: osa-common = 5.11.63 for package: osad-5.11.63-8.el6sat.noarch
--> Processing Dependency: spacewalk-backend-usix for package: osad-5.11.63-8.el6sat.noarch
--> Processing Dependency: jabberpy for package: osad-5.11.63-8.el6sat.noarch
--> Running transaction check
---> Package jabberpy.noarch 0:0.5-0.22.el6sat will be installed
---> Package osa-common.noarch 0:5.11.63-8.el6sat will be installed
---> Package osad.noarch 0:5.11.63-8.el6sat will be installed
--> Processing Dependency: spacewalk-backend-usix for package: osad-5.11.63-8.el6sat.noarch
--> Finished Dependency Resolution
Error: Package: osad-5.11.63-8.el6sat.noarch (beta-rhn-tools-rhel-x86_64-server-6)
           Requires: spacewalk-backend-usix
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):
osad-5.11.63-8.el6sat.noarch
rhncfg-5.10.87-6.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. register system to satellite and add latest tools (5.8)
2. yum install -y osad rhncfg-*
3.

Actual results:
problem with dependency on spacewalk-backend-usix (package is missing in compose)

Expected results:
installable

Comment 1 Pavel Studeník 2017-01-24 12:51:21 UTC
For verifying check this bug 1400929 and try to install all others packages from tools.

Comment 2 Pavel Studeník 2017-01-24 13:21:47 UTC
Some problem I find when I try to install package rhnpush

>> LC_ALL=C yum install rhnpush
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security, subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package rhnpush.noarch 0:5.5.89-9.el6sat will be installed
--> Processing Dependency: spacewalk-backend-libs >= 1.7.17 for package: rhnpush-5.5.89-9.el6sat.noarch
--> Processing Dependency: spacewalk-backend-usix for package: rhnpush-5.5.89-9.el6sat.noarch
--> Finished Dependency Resolution
Error: Package: rhnpush-5.5.89-9.el6sat.noarch (beta-rhn-tools-rhel-x86_64-server-6)
           Requires: spacewalk-backend-libs >= 1.7.17
           Available: spacewalk-backend-libs-1.2.13-10.el6sat.noarch (rhn-tools-rhel-x86_64-server-6)
               spacewalk-backend-libs = 1.2.13-10.el6sat
           Available: spacewalk-backend-libs-1.2.13-32.el6sat.noarch (rhn-tools-rhel-x86_64-server-6)
               spacewalk-backend-libs = 1.2.13-32.el6sat
               spacewalk-backend-libs = 1.2.13-11.el6sat
           Available: spacewalk-backend-libs-1.2.13-52.el6sat.noarch (rhn-tools-rhel-x86_64-server-6)
               spacewalk-backend-libs = 1.2.13-52.el6sat
               spacewalk-backend-libs = 1.2.13-11.el6sat
Error: Package: rhnpush-5.5.89-9.el6sat.noarch (beta-rhn-tools-rhel-x86_64-server-6)
           Requires: spacewalk-backend-usix
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 3 Tomáš Kašpárek 2017-02-16 10:04:08 UTC
Contents of spacewalk-backend-usix were moved into a separate package:
64f729dc04ded38ec9db8511531b4578f0e9753f Satellite
d4019a3e308715226ba0175c502f0255a8ce15af Satellite
def73e5354481e8a34868dacf891aea5f892cffd Satellite
4d65ecff795f5aef6234efbd5b76ecebc7445912 Satellite
c99a44ced6a20477f226e738b31c93ff2ae16b06 Satellite
e613448c18e11c41f6e49240743bf1b915ddf0a6 Satellite
cfc5bdee35c4b9bba739482cd898ec0515c1720b Satellite
70b4c37d60ece43d4f8de847dac1d0152d2f154b Satellite
09d5ba8e218eba944193309eda23a7734ab9e118 Satellite
87c80295585502fd5ed31f4338c3769005115c70 Satellite

Comment 5 Radovan Drazny 2017-05-03 14:16:45 UTC
Tested with RHN-Tools-5.8-RHEL-7-20170502.n.0 compose:

1. Added RHN-Tools-5.8-RHEL-7-20170502.n.0 as a normal yum repo to a client
2. According to info from devels, subscribed the client to rhn-tools-rhel-x86_64-server-7 channel. 
3. Attempted to install osad, rhnpuhs and rhncfg-* packages

# yum install osad rhncfg-* rhnpush -y
Loaded plugins: product-id, rhnplugin, search-disabled-repos, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
Resolving Dependencies
--> Running transaction check
---> Package osad.noarch 0:5.11.63-11.el7sat will be installed
--> Processing Dependency: osa-common = 5.11.63 for package: osad-5.11.63-11.el7sat.noarch
--> Processing Dependency: jabberpy for package: osad-5.11.63-11.el7sat.noarch
--> Processing Dependency: spacewalk-usix for package: osad-5.11.63-11.el7sat.noarch
---> Package rhncfg.noarch 0:5.10.74-11.el7sat will be updated
---> Package rhncfg.noarch 0:5.10.87-9.el7sat will be an update
---> Package rhncfg-actions.noarch 0:5.10.74-11.el7sat will be updated
---> Package rhncfg-actions.noarch 0:5.10.87-9.el7sat will be an update
---> Package rhncfg-client.noarch 0:5.10.74-11.el7sat will be updated
---> Package rhncfg-client.noarch 0:5.10.87-9.el7sat will be an update
---> Package rhncfg-management.noarch 0:5.10.74-11.el7sat will be updated
---> Package rhncfg-management.noarch 0:5.10.87-9.el7sat will be an update
---> Package rhnpush.noarch 0:5.5.89-20.el7sat will be installed
--> Running transaction check  
---> Package jabberpy.noarch 0:0.5-0.23.el7sat will be installed
---> Package osa-common.noarch 0:5.11.63-11.el7sat will be installed
---> Package spacewalk-usix.noarch 0:2.7.1-3.el7sat will be installed
--> Processing Dependency: spacewalk-backend-libs for package: spacewalk-usix-2.7.1-3.el7sat.noarch
--> Running transaction check  
---> Package spacewalk-backend-libs.noarch 0:2.0.3-18.el7sat will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================================================================================
 Package                                                     Arch                                        Version                                                  Repository                                                           Size
============================================================================================================================================================================================================================================
Installing:
 osad                                                        noarch                                      5.11.63-11.el7sat                                        rhntool-repo                                                         46 k
 rhnpush                                                     noarch                                      5.5.89-20.el7sat                                         rhntool-repo                                                        104 k
Updating:
 rhncfg                                                      noarch                                      5.10.87-9.el7sat                                         rhntool-repo                                                         73 k
 rhncfg-actions                                              noarch                                      5.10.87-9.el7sat                                         rhntool-repo                                                         46 k
 rhncfg-client                                               noarch                                      5.10.87-9.el7sat                                         rhntool-repo                                                         43 k
 rhncfg-management                                           noarch                                      5.10.87-9.el7sat                                         rhntool-repo                                                         52 k
Installing for dependencies:   
 jabberpy                                                    noarch                                      0.5-0.23.el7sat                                          rhn-tools-rhel-x86_64-server-7                                       69 k
 osa-common                                                  noarch                                      5.11.63-11.el7sat                                        rhntool-repo                                                         47 k
 spacewalk-backend-libs                                      noarch                                      2.0.3-18.el7sat                                          rhn-tools-rhel-x86_64-server-7                                      136 k
 spacewalk-usix                                              noarch                                      2.7.1-3.el7sat                                           rhntool-repo                                                        4.9 k

Transaction Summary
============================================================================================================================================================================================================================================
Install  2 Packages (+4 Dependent packages)
Upgrade  4 Packages

Total size: 621 k
Total download size: 415 k
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/8): osa-common-5.11.63-11.el7sat.noarch.rpm                                                                                                                                                                       |  47 kB  00:00:00
(2/8): osad-5.11.63-11.el7sat.noarch.rpm                                                                                                                                                                             |  46 kB  00:00:00
(3/8): rhncfg-actions-5.10.87-9.el7sat.noarch.rpm                                                                                                                                                                    |  46 kB  00:00:00
(4/8): rhncfg-5.10.87-9.el7sat.noarch.rpm                                                                                                                                                                            |  73 kB  00:00:00
(5/8): rhncfg-management-5.10.87-9.el7sat.noarch.rpm                                                                                                                                                                 |  52 kB  00:00:00
(6/8): rhncfg-client-5.10.87-9.el7sat.noarch.rpm                                                                                                                                                                     |  43 kB  00:00:00
(7/8): spacewalk-usix-2.7.1-3.el7sat.noarch.rpm                                                                                                                                                                      | 4.9 kB  00:00:00
(8/8): rhnpush-5.5.89-20.el7sat.noarch.rpm                                                                                                                                                                           | 104 kB  00:00:00
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                       2.1 MB/s | 415 kB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded

Installation was successful, all dependencies were resolved.

VERIFIED


Note You need to log in before you can comment on or make changes to this bug.